# DefaultLoyaltyCard

### Object description

| Field          | Type                                                                                                                     | Required | Description                                 |
| -------------- | ------------------------------------------------------------------------------------------------------------------------ | -------- | ------------------------------------------- |
| type           | [LoyaltyCardType](https://developer.smarts.ee/general/data-object-description/loyaltycardtype)                           | Yes      | Type of the card - DEFAULT                  |
| id             | String                                                                                                                   | Yes      | Smarts loyalty card unique id               |
| imageId        | String                                                                                                                   | No       | Smarts loyalty card image unique identifier |
| name           | [Translatable](https://developer.smarts.ee/general/data-object-description/translatable)                                 | Yes      | Loyalty card name                           |
| description    | [Translatable](https://developer.smarts.ee/general/data-object-description/translatable)                                 | No       | Loyalty card description                    |
| validationType | List<[LoyaltyCardValidationType](https://developer.smarts.ee/general/data-object-description/loyaltycardvalidationtype)> | Yes      | Possible loyalty card verification types    |
| colorTheme     | [ColorTheme](https://developer.smarts.ee/general/data-object-description/colortheme)                                     | Yes      | Loyalty card colour theme                   |
| primary        | Boolean                                                                                                                  | Yes      | Check if is primary loyalty card            |
| colors         | [L](https://developer.smarts.ee/general/data-object-description/address)ist\<String>                                     | Yes      | Loyalty card background colour HEX list     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.smarts.ee/general/data-object-description/default-loyalty-card.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
